/*--------------------------------------------------------------------------*/
/*	XpGuiCalls.cp								Ad. Lefvre - IRCAM 1999	*/
/*																			*/
/*	Common header for	XpGuiCallsAPP.cp									*/
/*						XpGuiCallsDLL.cp									*/
/*						XpGuiCallsKER.cp									*/
/*																			*/
/*--------------------------------------------------------------------------*/

#ifndef _XPGUICALLS_
#define _XPGUICALLS_

/*--------------------------------------------------------------------------*/

#if 0 /* Default OFF */

#define	XpExit(v)
#define	XpGetenv(v)					nil
#define	XpPutToStdio(a,b,c)			0
#define	XpSetFileAttribute(a,b,c)
#define	XpFileSize(s)				0
#define	XpFreeMemory()				10485760
#define	XpVersionDemo()				0
#define	XpWatchCursor()
#define	XpProBarString(s)
#define	XpProBarInit(v)
#define	XpProBarSet(v)

/*--------------------------------------------------------------------------*/

#elif HOST_OS_MAC | macintosh

#ifdef __cplusplus
extern "C" {
#endif

/*	Proc Typedefs Definitions
*/
typedef void	(*XpGuiProc_Exit)				(int inStatus);
typedef char*	(*XpGuiProc_Getenv)				(const char* inVar);
typedef long	(*XpGuiProc_PutToStdio)			(short inStdio, char* inBuffer, long inLength);
typedef void	(*XpGuiProc_SetFileAttribute)	(const char* inFilename, long inFileType, int inLocked);
typedef long	(*XpGuiProc_FileSize)			(const char* inFilename);
typedef long	(*XpGuiProc_FreeMemory)			(void);
typedef int		(*XpGuiProc_VersionDemo)		(void);
typedef void	(*XpGuiProc_WatchCursor)		(void);
typedef void	(*XpGuiProc_ProBarString)		(const char* inString);
typedef void	(*XpGuiProc_ProBarInit)			(float total);
typedef void	(*XpGuiProc_ProBarSet)			(float current);


/*	Struct XpGuiCallbacksRec
*/
typedef struct
{
	long						version;
	long						numCallbacks;
	XpGuiProc_Exit				pExit;
	XpGuiProc_Getenv			pGetenv;
	XpGuiProc_PutToStdio		pPutToStdio;
	XpGuiProc_SetFileAttribute	pSetFileAttribute;
	XpGuiProc_FileSize			pFileSize;
	XpGuiProc_FreeMemory		pFreeMemory;
	XpGuiProc_VersionDemo		pVersionDemo;
	XpGuiProc_WatchCursor		pWatchCursor;
	XpGuiProc_ProBarString		pProBarString;
	XpGuiProc_ProBarInit		pProBarInit;
	XpGuiProc_ProBarSet			pProBarSet;

} XpGuiCallbacksRec, *XpGuiCallbacksPtr;


/*	Global gGuiCallbacks
	Defined in XpGuiCallsAPP.cp and XpGuiCallsKER.cp
*/
extern XpGuiCallbacksRec gGuiCallbacks;


/*	Proc SetGuiCallbacksToAllDLLs
	To use with XpGuiCallsAPP.cp and XpGuiCallsKER.cp
*/
void SetGuiCallbacksToAllDLLs(void);


/*	XpCalls Macros
*/
#define	XpExit				gGuiCallbacks.pExit
#define	XpGetenv			gGuiCallbacks.pGetenv
#define	XpPutToStdio		gGuiCallbacks.pPutToStdio
#define	XpSetFileAttribute	gGuiCallbacks.pSetFileAttribute
#define	XpFileSize			gGuiCallbacks.pFileSize
#define	XpFreeMemory		gGuiCallbacks.pFreeMemory
#define	XpVersionDemo		gGuiCallbacks.pVersionDemo
#define	XpWatchCursor		gGuiCallbacks.pWatchCursor
#define	XpProBarString		gGuiCallbacks.pProBarString
#define	XpProBarInit		gGuiCallbacks.pProBarInit
#define	XpProBarSet			gGuiCallbacks.pProBarSet


#ifdef __cplusplus
}
#endif

/*--------------------------------------------------------------------------*/

#else /* HOST_OS_MAC */

#define	XpExit(v)					exit(v)
#define	XpGetenv(v)					getenv(v)
#define	XpPutToStdio(a,b,c)			0
#define	XpSetFileAttribute(a,b,c)
#define	XpFileSize(s)				0
#define	XpFreeMemory()				10485760
#define	XpVersionDemo()				0
#define	XpWatchCursor()
#define	XpProBarString(s)
#define	XpProBarInit(v)
#define	XpProBarSet(v)

/*--------------------------------------------------------------------------*/

#endif /* HOST_OS_MAC */
#endif /*_XPGUICALLS_*/




